Name:           novnc
Version:        1.5.0
Release:        %mkrel 1
Summary:        VNC client using HTML5 (Web Sockets, Canvas) with encryption support
Group:          Networking/Other

License:        GPLv3
URL:            https://github.com/novnc/noVNC
Source0:        https://github.com/novnc/noVNC/archive/v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
Requires:       python3-websockify
Requires:       which

%description
noVNC is both a HTML VNC client JavaScript library and an application built on
top of that library. noVNC runs well in any modern browser including mobile
browsers (iOS and Android).

%prep
%autosetup -p1 -n noVNC-%{version}

# Fix any python shebangs within the novnc codebase
# https://fedoraproject.org/wiki/Changes/Make_ambiguous_python_shebangs_error
%{py3_shebang_fix} .

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}/
cp -r * %{buildroot}%{_datadir}/%{name}/

# Drop snap related files from the main package
rm -rf %{buildroot}%{_datadir}/%{name}/snap/

# Drop tests from the main package
rm -rf %{buildroot}%{_datadir}/%{name}/tests/

# Drop utils from the main package
rm -rf %{buildroot}%{_datadir}/%{name}/utils/

# Drop some po utilities from the main package
rm %{buildroot}%{_datadir}/%{name}/po/Makefile
rm %{buildroot}%{_datadir}/%{name}/po/po2js
rm %{buildroot}%{_datadir}/%{name}/po/xgettext-html

# provide an index file to prevent default directory browsing
install -m 444 vnc.html %{buildroot}%{_datadir}/%{name}/index.html

# install a copy of the new vnc_lite.html page as the old <1.0.0 vnc_auto.html page
install -m 444 vnc_lite.html %{buildroot}%{_datadir}/%{name}/vnc_auto.html

# Install novnc_proxy and the legacy novnc_server
mkdir -p %{buildroot}%{_bindir}/
install utils/novnc_proxy  %{buildroot}%{_bindir}/%{name}_server
install utils/novnc_proxy  %{buildroot}%{_bindir}/%{name}_proxy

# Install the man page for both
mkdir -p %{buildroot}%{_mandir}/man1/
install docs/novnc_proxy.1 %{buildroot}%{_mandir}/man1/%{name}_proxy.1
install docs/novnc_proxy.1 %{buildroot}%{_mandir}/man1/%{name}_server.1

%files
%doc README.md docs/API.md docs/EMBEDDING.md docs/LIBRARY.md
%license LICENSE.txt
%{_datadir}/%{name}/
%{_bindir}/%{name}_server
%{_bindir}/%{name}_proxy
%{_mandir}/man1/%{name}_proxy.1*
%{_mandir}/man1/%{name}_server.1*


%changelog
* Fri Nov 29 2024 daviddavid <daviddavid> 1.5.0-1.mga10
+ Revision: 2119864
- new version: 1.5.0

* Mon Jan 01 2024 papoteur <papoteur> 1.4.0-1.mga10
+ Revision: 2025360
- new version 1.4.0

* Wed Dec 14 2022 daviddavid <daviddavid> 1.3.0-1.mga9
+ Revision: 1921967
- new version: 1.3.0

* Mon Mar 21 2022 umeabot <umeabot> 1.2.0-2.mga9
+ Revision: 1813274
- Mageia 9 Mass Rebuild

* Fri Sep 25 2020 luigiwalser <luigiwalser> 1.2.0-1.mga8
+ Revision: 1630070
- 1.2.0 (spec updates from fedora)
- update URLs
- remove upstreamed patches
- build with python3

* Fri Sep 25 2020 ns80 <ns80> 0.5.1-4.mga8
+ Revision: 1629987
- add patch for CVE-2017-18635 (mga#27306)

* Wed Feb 12 2020 umeabot <umeabot> 0.5.1-3.mga8
+ Revision: 1492659
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.5.1-2.mga7
+ Revision: 1265371
- Mageia 7 Mass Rebuild

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.5.1-1.mga6
+ Revision: 917574
- 0.5.1
- fix source URL
- remove upstreamed patches 1 and 3

* Sun Mar 15 2015 tmb <tmb> 0.4-13.mga5
+ Revision: 818634
- rebuild for missing signatures

* Thu Mar 12 2015 luigiwalser <luigiwalser> 0.4-12.mga5
+ Revision: 818470
- add upstream patch to fix CVE-2013-7436

* Wed Oct 15 2014 umeabot <umeabot> 0.4-11.mga5
+ Revision: 742881
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4-10.mga5
+ Revision: 682928
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.4-9.mga4
+ Revision: 540558
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 neoclust <neoclust> 0.4-8.mga4
+ Revision: 493958
- imported package novnc


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 24 2013 Nikola Đipanov <ndipanov@redhat.com> - 0.4-7
- Remove the openstack-nova-novncproxy subpackage (moved to openstack-nova)

* Mon Apr 08 2013 Nikola Đipanov <ndipanov@redhat.com> - 0.4-6
- Import config module from oslo in nova-novncproxy

* Mon Mar 18 2013 Nikola Đipanov <ndipanov@redhat.com> - 0.4-5
- Change FLAGS to the new CONF module in nova-novncproxy
- Drop the hard dwp on whole nova package and require only nova-common

* Thu Feb 28 2013 Pádraig Brady <P@draigBrady.com> - 0.4-4
- Support /etc/sysconfig/openstack-nova-novncproxy #916479

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct 22 2012 Nikola Đipanoov <ndipanov@redhat.com> - 0.4-2
- Fixes the supplied init script to match the new 0.4 version

* Mon Oct 22 2012 Nikola Đipanoov <ndipanov@redhat.com> - 0.4-1
- Moves to upstream version 0.4.0

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul  4 2012 Till Maas <opensource@till.name> - 0.3-11
- Add a dependency for novnc on python-websockify

* Wed Jun 15 2012 Jose Castro Leon <jose.castro.leon@cern.ch> - 0.3-10
- Add a dependency for openstack-nova-novncproxy on openstack-nova

* Thu Jun 14 2012 Matthew Miller <mattdm@mattdm.org> - 0.3-9
- Remove a dependency for openstack-nova-novncproxy on numpy

* Wed Jun 13 2012 Alan Pevec <apevec@redhat.com> - 0.3-8
- Add a dependency for openstack-nova-novncproxy on python-nova

* Wed Jun 13 2012 Jose Castro Leon <jose.castro.leon@cern.ch> - 0.3-7
- Add a dependency for openstack-nova-novncproxy on novnc

* Mon Jun 11 2012 Adam Young <ayoung@redhat.com> - 0.3-6
- systemd initialization for Nova Proxy
- system V init script
- remove Flash binary supporting older browsers

* Tue Jun 8 2012 Adam Young <ayoung@redhat.com> - 0.3-3
- Added man pages
- novnc_server usese the websockify executable, not wsproxy.py

* Tue Jun 7 2012 Adam Young <ayoung@redhat.com> - 0.3-2
- Make Javascript files non-executable, as they are not script files
- Patch Nova noVNC proxy to use websockify directly

* Tue May 15 2012 Adam Young <ayoung@redhat.com> - 0.3-1
- Added in support for the Nova noVNC proxy
- Added files for the images and inclues subdirectories

* Thu May 10 2012 Adam Young <ayoung@redhat.com> - 0.2
- Initial RPM release.
